XmppAndFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.xmpp.filters.XmppAndFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp.filters
Class XmppAndFilter

    java.lang.Object
      org.mule.transport.xmpp.filters.AbstractXmppFilter
          org.mule.transport.xmpp.filters.XmppAndFilter

All Implemented Interfaces:
  org.jivesoftware.smack.filter.PacketFilter, Filter

Direct Known Subclasses:
  XmppOrFilter

    public class XmppAndFilter

extends AbstractXmppFilter

`XmppAndFilter` an Xmpp AND filter

Field Summary

Fields inherited from class org.mule.transport.xmpp.filters.AbstractXmppFilter
`delegate`

Constructor Summary
`XmppAndFilter()`
`XmppAndFilter(org.jivesoftware.smack.filter.PacketFilter left, org.jivesoftware.smack.filter.PacketFilter right)`

Method Summary
`protected org.jivesoftware.smack.filter.PacketFilter` | `createFilter()`
`boolean` | `equals(Object obj)`
`org.jivesoftware.smack.filter.PacketFilter` | `getLeftFilter()`
`org.jivesoftware.smack.filter.PacketFilter` | `getRightFilter()`
`int` | `hashCode()`
`void` | `setLeftFilter(org.jivesoftware.smack.filter.PacketFilter left)`
`void` | `setRightFilter(org.jivesoftware.smack.filter.PacketFilter right)`

Methods inherited from class org.mule.transport.xmpp.filters.AbstractXmppFilter
`accept, accept`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmppAndFilter

    public XmppAndFilter()

### XmppAndFilter

    public XmppAndFilter(org.jivesoftware.smack.filter.PacketFilter left,
                         org.jivesoftware.smack.filter.PacketFilter right)

Method Detail

### setLeftFilter

    public void setLeftFilter(org.jivesoftware.smack.filter.PacketFilter left)

### setRightFilter

    public void setRightFilter(org.jivesoftware.smack.filter.PacketFilter right)

### getLeftFilter

    public org.jivesoftware.smack.filter.PacketFilter getLeftFilter()

### getRightFilter

    public org.jivesoftware.smack.filter.PacketFilter getRightFilter()

### createFilter

    protected org.jivesoftware.smack.filter.PacketFilter createFilter()

  Specified by:
    `createFilter` in class `AbstractXmppFilter`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.